Home/Support/Support Forum/Has anyone successfully compiled dgnc-1.3 for kernel series 3.x?
Welcome to Digi Forum, where you can ask questions and receive answers from other members of the community.

Has anyone successfully compiled dgnc-1.3 for kernel series 3.x?

0 votes
make[2]: Entering directory `/usr/src/linux-3.6'
CC [M] /home/sbm/src/kernel/dgnc-1.3/driver/build/dgnc_cls.o
/home/sbm/src/kernel/dgnc-1.3/driver/build/dgnc_cls.c: In function 'cls_drain':
/home/sbm/src/kernel/dgnc-1.3/driver/build/dgnc_cls.c:1005:2: error: implicit declaration of function 'tty_locked' [-Werror=implicit-function-declaration]
/home/sbm/src/kernel/dgnc-1.3/driver/build/dgnc_cls.c:1006:88: error: macro "wait_event_interruptible_tty" requires 3 arguments, but only 2 given
/home/sbm/src/kernel/dgnc-1.3/driver/build/dgnc_cls.c:1006:8: error: 'wait_event_interruptible_tty' undeclared (first use in this function)
/home/sbm/src/kernel/dgnc-1.3/driver/build/dgnc_cls.c:1006:8: note: each undeclared identifier is reported only once for each function it appears in
cc1: some warnings being treated as errors
make[3]: *** [/home/sbm/src/kernel/dgnc-1.3/driver/build/dgnc_cls.o] Error 1
make[2]: *** [_module_/home/sbm/src/kernel/dgnc-1.3/driver/build] Error 2
make[2]: Leaving directory `/usr/src/linux-3.6'
make[1]: *** [build] Error 2
make[1]: Leaving directory `/usr/src/kernel/dgnc-1.3/driver/2.6.27'
make: *** [build] Error 2
asked Jun 12, 2013 in Serial Cards by sbm New to the Community (1 point)

Please log in or register to answer this question.

3 Answers

0 votes
Digi NEO driver support is not available for 3.x kernels. However, there is an in-kernel driver module called jsm (developed by IBM) that may work instead. The in-kernel driver will not have Digi tools/utilities though, such as ditty, dpa, etc...
answered Mar 19, 2014 by userid0 Veteran of the Digi Community (2,158 points)
0 votes
I am having this trouble as well. After three years, you would think they would have fixed it by now.
answered Jan 9, 2016 by jlbark New to the Community (2 points)
0 votes
Original poster returning, for the record:

Have not been able to get the card working yet, until I found out the following:

http://cateee.net/lkddb/web-lkddb/DGNC.html

Looks like there is new life to be breathed into these boards with the newer kernel series with this work. It may be worth a try to use the newer kernel, though initial tests of the earlier kernel patches caused Linux to crash. Hopefully in the 4.x series this has been fixed.
answered Jan 17 by sbm New to the Community (1 point)
Contact a Digi expert and get started today! Contact Us
...